package com.redxun.knowledge.album.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumCatalogue;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
* 业务--专辑版本目录表数据库访问层
*/
@Mapper
public interface AlbumCatalogueMapper extends BaseDao<AlbumCatalogue> {

    IPage findAllAlbumCatalogue(IPage page, @Param("params") Map<String, Object> params, @Param("order") Map<String, Object> order);

    void deleteByVersionId(String versionId);
}
