package com.redxun.knowledge.album.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 文件名: AlbumVersionPcVo
 * 作者: Zizg
 * 时间: 2023/2/7
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("PC端返回目录Vo")
@Data
public class AlbumCataloguePcVo implements Serializable {

    @ApiModelProperty("目录Id")
    private String pkId;

    @ApiModelProperty("专辑版本Id")
    private String versionId;

    @ApiModelProperty("目录名称")
    private String name;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("动作标记")
    private List<String> actionFlag;

    @ApiModelProperty("目录内容")
    private List<AlbumKnowledgeVo> contents;
}
